Page MenuHomePhabricator

Hide "options" bar under edit summary input when hidden
Closed, ResolvedPublic

Description

Since T194458 it is now possible for the options bar to be completely empty. We should hide it when this is the case:

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterSaveDialog: Hide options bar when empty

Event Timeline

Esanders created this task.Jul 16 2019, 1:32 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 16 2019, 1:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 523714 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] SaveDialog: Hide options bar when empty

https://gerrit.wikimedia.org/r/523714

+1 thanks for creating this ticket @Esanders

I quickly drafted a few initial thoughts - what do you think? This helps to indicate progress/ edit progression.

I don' think this is for showing "progress" but rather for "warning" the user when they are about to run out of space, as we aren't encouraging very long edit summaries.

I think T194458 was correct in not showing any indicator until you get to the final 100 characters. Getting to 400 characters in an edit summary is very rare (probably <1%) so making counter part of the normal workflow would just add confusion.

In #2 it is not technically feasible to wrap text around the counter, so it would either reduce the width or the height of the area available to type.

An inline counter is used in old wikitext editor:


although that editor doesn't use a multi-line input, so they don't have the issue with the summary not wrapping.

In VE it would look like this:

Change 523714 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] SaveDialog: Hide options bar when empty

https://gerrit.wikimedia.org/r/523714

In VE it would look like this:

@Esanders - would it be possible to have the counter stay with the current (last) line of text in the summary?

Probably, but it doesn't help with the text wrapping issue.

For QA: the bar is now hidden if there are no checkboxes (eg anon editing) AND the text limit is not close to being reached (<400 chars)

When the text limit is being reached, how does this appear?

The whole bar appears with just the text limit in it.

Can you provide a screenshot of that?

@iamjessklein

Before limit reachedAfter limit reached
Desktop
Mobile
matmarex moved this task from Inbox to Low Priority on the Editing QA board.Aug 9 2019, 4:53 PM
JTannerWMF moved this task from QA to Product owner review on the VisualEditor (Current work) board.
JTannerWMF added subscribers: ppelberg, JTannerWMF.

Hey @ppelberg we need you to close this out

Ryasmeen edited projects, added Verified; removed Editing QA.Sep 6 2019, 10:30 PM
ppelberg closed this task as Resolved.Sep 17 2019, 12:31 AM
ppelberg claimed this task.